curl -X PATCH "https://api.scanova.io/bulk-operation/bo-8f3a1c/rename/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{ "name": "September event QR batch (final)" }'
{
"operation_id": "bo-8f3a1c",
"name": "September event QR batch (final)"
}
批量操作
重命名批量操作
PATCH /bulk-operation//rename/
PATCH
/
bulk-operation
/
{operation_id}
/
rename
/
curl -X PATCH "https://api.scanova.io/bulk-operation/bo-8f3a1c/rename/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{ "name": "September event QR batch (final)" }'
{
"operation_id": "bo-8f3a1c",
"name": "September event QR batch (final)"
}
在 Management API 主机(
与生成/更新/下载/快捷操作端点不同,重命名有意不要求除身份验证外的任何
api.scanova.io)上重命名一个批量操作,使用您的原始 Management API 密钥进行身份验证。
PATCH https://api.scanova.io/bulk-operation/{operation_id}/rename/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
string
必填
新名称。
curl -X PATCH "https://api.scanova.io/bulk-operation/bo-8f3a1c/rename/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{ "name": "September event QR batch (final)" }'
{
"operation_id": "bo-8f3a1c",
"name": "September event QR batch (final)"
}
BULK_OPERATION 配额或套餐权限——因此即使账户的批量操作配额已耗尽,操作仍可被重命名。如果 operation_id 不是该账户拥有的操作,则返回 404。
相关内容
- 列出批量操作——查找
operation_id。 - Management API 概览——适用于此端点的身份验证方案和配额规则。
授权
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
路径参数
响应
Renamed.
此页面对您有帮助吗?